Bug 24211 - libtermcap-compat files installed as bin:bin instead of root:root
Bug#: 24211 Product:  Gentoo Linux Version: unspecified Platform: All
OS/Version: Linux Status: RESOLVED Severity: normal Priority: P2
Resolution: FIXED Assigned To: taviso@gentoo.org Reported By: splite-gentoo@sigint.cs.purdue.edu
Component: Library
URL: 
Summary: libtermcap-compat files installed as bin:bin instead of root:root
Keywords:  
Status Whiteboard: 
Opened: 2003-07-09 19:14 0000
Description:   Opened: 2003-07-09 19:14 0000
libtermcap-compat installs its files with bin:bin ownership instead of
root:root.  Here's an ebuild patch:

diff -u libtermcap-compat-1.2.3.ebuild.orig libtermcap-compat-1.2.3.ebuild
--- libtermcap-compat-1.2.3.ebuild.orig 2003-06-22 00:21:47.000000000 -0500
+++ libtermcap-compat-1.2.3.ebuild      2003-07-09 21:03:19.000000000 -0500
@@ -27,7 +27,7 @@
 
 src_install () {
        dodir /lib /include /usr/lib
-       make prefix="${D}" install || die
+       make OWNER=root:root prefix="${D}" install || die
 
        # Conflicts with ncurses.
        rm -rf ${D}/include


Reproducible: Always
Steps to Reproduce:
1.
2.
3.

------- Comment #1 From Tavis Ormandy (RETIRED) 2003-09-06 05:45:38 0000 -------
Assigning to me...

------- Comment #2 From Tavis Ormandy (RETIRED) 2003-09-06 07:17:24 0000 -------
Thanks for the fix, libtermcap-compat-1.2.3-r1 committed.